//
//  MotorCalibrationViewController.swift
//  RCServo
//
//  Created by Phidgets on 2018-02-01.
//  Copyright © 2018 Phidgets. All rights reserved.
//

import UIKit

class MotorCalibrationViewController: UIViewController {

    var minPulseWidth:Double = 0
    var maxPulseWidth:Double = 0
    var positionAtMin:Double = 0
    var positionAtMax:Double = 0
    
    @IBOutlet var minPulseWidthText: UITextField!
    @IBOutlet var maxPulseWidthText: UITextField!
    @IBOutlet var positionAtMinText: UITextField!
    @IBOutlet var positionAtMaxText: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        minPulseWidthText.text = String(format:"%.3f",minPulseWidth)
        maxPulseWidthText.text = String(format:"%.3f",maxPulseWidth)
        positionAtMinText.text = String(format:"%.3f",positionAtMin)
        positionAtMaxText.text = String(format:"%.3f",positionAtMax)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
    }
    
    @IBAction func applySettings(_ sender: Any) {
        self.view.endEditing(true)
        let temp_minPulseWidth = Double(minPulseWidthText.text!)
        let temp_maxPulseWidth = Double(maxPulseWidthText.text!)
        let temp_positionAtMin = Double(positionAtMinText.text!)
        let temp_positionAtMax = Double(positionAtMaxText.text!)
        if(temp_minPulseWidth != nil && temp_maxPulseWidth != nil
            && temp_positionAtMin != nil && temp_positionAtMax != nil){
            
            minPulseWidth = temp_minPulseWidth!
            maxPulseWidth = temp_maxPulseWidth!
            positionAtMin = temp_positionAtMin!
            positionAtMax = temp_positionAtMax!
            
            performSegue(withIdentifier: "exitSaveSegue", sender: self)
        }
        else{
            let alert = UIAlertController(title: "Error", message: "Calibration settings not entered correctly", preferredStyle: .alert)
            alert.addAction(UIAlertAction(title: "OK", style: .default, handler: {action -> Void in
            }))
            self.present(alert, animated: true, completion: nil)
        }
    }

    
    // MARK: - Navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        if(segue.identifier == "exitSaveSegue"){
            let vc:ViewController = segue.destination as! ViewController
            vc.minPulseWidth = minPulseWidth
            vc.maxPulseWidth = maxPulseWidth
            vc.positionAtMin = positionAtMin
            vc.positionAtMax = positionAtMax
        }
    }

}
